
[INCLUDE: common/materials_carpaint.ini]
CarPaintMaterial = EXT_CARPAINT, INT_DOORSILS_CARPAINT, kit
DisableDev = 1

[Material_CarPaint_Chameleon]
BaseSpecularColor = 0.55, 0.25, 0.15  ; specular color
SpecularMult = 1.2         ; adjust specular brightness, just in case
ChameleonColorA = 41,25,40, 0.4  ; first alternative color and opacity
ChameleonColorB = 204,00,10, 0.4    ; second alternative color and opacity
ChameleonExponent = 1       ; how colors are scaling; increase to see more of second color
ChameleonCenter = 0.1         ; how colors are scaling; increase to see more of first color
ClearCoatThickness = 0.14     ; thickness for absorbing light from underneath
FlakesK = 6.05                ; flakes behavior
ClearCoatIOR = 1           ; index of refraction for clear coat material, value bigger than 1 makes absorbing much less angle-dependant

[LIGHT_EXTRA_1] ;underglowleft
LINE_FROM= 0.65, 0.1, -0.7
LINE_TO= 0.65, 0.1, 0.7
BIND_TO_HEADLIGHTS=1
COLOR=80,0,80
DIFFUSE_CONCENTRATION=0.5
FADE_AT=150
FADE_SMOOTH=10
RANGE=0.7
RANGE_GRADIENT_OFFSET=0.1
SPOT=210
SPOT_SHARPNESS=0.75
SPECULAR_MULT=0
DIRECTION=0, -1, 0
SELF_LIGHTNING=1
EXTERIOR_ONLY=1
INTERIOR_ONLY=0
SIMULATE_HEATING=3

[LIGHT_EXTRA_2] ;underglow right
LINE_FROM=-0.65, 0.1, -0.7
LINE_TO=-0.65, 0.1, 0.7
BIND_TO_HEADLIGHTS=1
COLOR=80,0,80
DIFFUSE_CONCENTRATION=0.5
FADE_AT=150
FADE_SMOOTH=10
RANGE=0.7
RANGE_GRADIENT_OFFSET=0.1
SPOT=210
SPOT_SHARPNESS=0.75
SPECULAR_MULT=0
DIRECTION=0, -1, 0
SELF_LIGHTNING=1
EXTERIOR_ONLY=1
INTERIOR_ONLY=0
SIMULATE_HEATING=3

[LIGHT_EXTRA_3] ;underglowrear
LINE_FROM=-0.4, 0.1, -2
LINE_TO=0.4, 0.1, -2
BIND_TO_HEADLIGHTS=1
COLOR=80,0,80
DIFFUSE_CONCENTRATION=0.5
FADE_AT=150
FADE_SMOOTH=10
RANGE=0.7
RANGE_GRADIENT_OFFSET=0.1
SPOT=210
SPOT_SHARPNESS=0.85
SPECULAR_MULT=0
DIRECTION=0, -1, 0
SELF_LIGHTNING=1
EXTERIOR_ONLY=1
INTERIOR_ONLY=0
SIMULATE_HEATING=3

[LIGHT_EXTRA_4] ;underglowfront
LINE_FROM=-0.4, 0.1, 2.
LINE_TO=0.4, 0.1, 2.
BIND_TO_HEADLIGHTS=1
COLOR=80,0,80
DIFFUSE_CONCENTRATION=0.5
FADE_AT=150
FADE_SMOOTH=10
RANGE=0.7
RANGE_GRADIENT_OFFSET=0.1
SPOT=210
SPOT_SHARPNESS=0.85
SPECULAR_MULT=0
DIRECTION=0, -1, 0
SELF_LIGHTNING=1
EXTERIOR_ONLY=1
INTERIOR_ONLY=0
SPECULAR_MULT=0
DIRECTION=0, -1, 0
SIMULATE_HEATING=3
